package com.nisum.test;

import static org.junit.Assert.assertEquals;

import org.junit.Ignore;
import org.junit.Test;

import com.nisum.basic.CalculatorOperations;

public class CalculatorOperationsTest {

	@Test
	public void testPositive() {
		int expected=200;
		int actual=new CalculatorOperations().sum(100, 100);
		assertEquals("testpositive", expected, actual);
	}
	
	@Test
	public void testNegative() {
		int expected=-200;
		int actual=new CalculatorOperations().sum(-100, -100);
		assertEquals("testnegative", expected, actual);
	}
	
	@Test
	public void testMixed() {
		int expected=-100;
		int actual=new CalculatorOperations().sum(-200, 100);
		assertEquals("testmixed", expected, actual);
	}
	
	@Test
	@Ignore
	public void testZero() {
		int expected=0;
		int actual=new CalculatorOperations().sum(0, 0);
		assertEquals("testzero", expected, actual);
	}
}
